Module | Locale::SystemWin32
In: | lib/locale/win32.rb

Locale::SystemWin32 module for win32. This is a low-level class. Application shouldn‘t use this directly.

### Methods

get_charset

### Included Modules

SystemWin32Table

### Public Instance methods

get_charset(locale)

Gets the Win32 charset of the locale.

- locale: Locale::Object
- Returns the charset of the locale

[Source]

        # File lib/locale/win32.rb, line 31
    31:     def get_charset(locale)
    32:       loc = LocaleTable.find{|v| v[1] == locale.to_win}
    33:       loc = LocaleTable.find{|v| v[1] =~ /^#{locale.language}-/} unless loc
    34:       loc ? loc[2] : "CP1252"
    35:     end

[Validate]